/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { FormulaListComponent } from './list.component';
import { PopupService } from '@progress/kendo-angular-popup';
import { SpreadsheetService } from '../common/spreadsheet.service';
import { SpreadsheetLocalizationService } from '../localization/spreadsheet-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FormulaInputDirective {
    element: ElementRef;
    private popupService;
    private spreadsheetService;
    private localization;
    hostClasses: boolean;
    get title(): string;
    role: string;
    ariaHasPopup: string;
    ariaExpanded: string;
    get ariaControls(): string;
    formulaListMaxHeight: string;
    list: FormulaListComponent;
    data: any[];
    constructor(element: ElementRef, popupService: PopupService, spreadsheetService: SpreadsheetService, localization: SpreadsheetLocalizationService);
    private popupRef;
    private handler;
    private get listElement();
    get current(): any;
    private focusedItem;
    private unfocus;
    private focusNext;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormulaInputDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormulaInputDirective, "[kendoSpreadsheetFormulaInput]", never, { "formulaListMaxHeight": { "alias": "formulaListMaxHeight"; "required": false; }; }, {}, never, never, true, never>;
}
