/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2 } from '@angular/core';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { SpreadsheetService } from '../common/spreadsheet.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FormulaListComponent {
    element: ElementRef;
    private spreadsheetService;
    private renderer;
    maxHeight: string;
    data: any[];
    itemClick: (value: any) => void;
    formulaFxIcon: SVGIcon;
    constructor(element: ElementRef, spreadsheetService: SpreadsheetService, renderer: Renderer2);
    ngOnInit(): void;
    handleMouseDown: (ev: MouseEvent) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormulaListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormulaListComponent, "kendo-spreadsheet-formula-list", never, { "maxHeight": { "alias": "maxHeight"; "required": false; }; "data": { "alias": "data"; "required": false; }; "itemClick": { "alias": "itemClick"; "required": false; }; }, {}, never, never, true, never>;
}
