/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, ElementRef, NgZone, Renderer2 } from '@angular/core';
import { Observable } from 'rxjs';
import { SpreadsheetWidget } from '@progress/kendo-spreadsheet-common';
import { SpreadsheetLocalizationService } from '../localization/spreadsheet-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class NameBoxComponent implements AfterViewInit {
    private ngZone;
    private host;
    protected localization: SpreadsheetLocalizationService;
    private renderer;
    hostClass: boolean;
    keyDownHandler(): void;
    private combobox;
    data: any[];
    spreadsheetWidget: SpreadsheetWidget;
    constructor(ngZone: NgZone, host: ElementRef, localization: SpreadsheetLocalizationService, renderer: Renderer2);
    ngAfterViewInit(): void;
    value: any;
    get inputElement(): any;
    get current(): any;
    get title(): string;
    onSelectionChange(value: any): void;
    onOpen(): void;
    valueNormalizer: (text: Observable<string>) => Observable<{
        name: string;
    }>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NameBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NameBoxComponent, "[kendoSpreadsheetNameBox]", never, { "data": { "alias": "data"; "required": false; }; "spreadsheetWidget": { "alias": "spreadsheetWidget"; "required": false; }; }, {}, never, never, true, never>;
}
