/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { DialogService } from '@progress/kendo-angular-dialog';
import { ViewContainerRef } from '@angular/core';
import { Range, Sheet, SpreadsheetWidget } from '@progress/kendo-spreadsheet-common';
import { Subject } from 'rxjs';
import { SheetsChanges } from './sheet-changes';
import { SheetInfo } from '../models';
import { SpreadsheetService } from './spreadsheet.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ErrorHandlingService {
    private spreadsheetService;
    private localization;
    private dialogService;
    spreadsheet: SpreadsheetWidget;
    sheetsChanged: Subject<SheetsChanges>;
    activeSheetChanged: Subject<Sheet>;
    selectionChanged: Subject<Range>;
    dialogContainer: ViewContainerRef;
    constructor(spreadsheetService: SpreadsheetService, localization: LocalizationService, dialogService: DialogService);
    set currentActiveSheet(value: string);
    get currentActiveSheet(): string;
    get activeSheet(): string;
    private _currentActiveSheet;
    notifySheetsChange(actionType: string, sheetInfo?: SheetInfo): void;
    handleErrorMessage(messageData: any): void;
    private openDialog;
    private messageFor;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ErrorHandlingService>;
}
