/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, QueryList, ElementRef, AfterViewInit, NgZone } from '@angular/core';
import { SpreadsheetService } from './spreadsheet.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ListEditorComponent implements AfterViewInit {
    private ngZone;
    private spreadsheetService;
    data: any[];
    focusedIndex: number;
    itemSelect: EventEmitter<any>;
    close: EventEmitter<void>;
    listItems: QueryList<ElementRef>;
    constructor(ngZone: NgZone, spreadsheetService: SpreadsheetService);
    ngAfterViewInit(): void;
    onItemClick(item: any): void;
    onKeyDown(event: KeyboardEvent, index: number): void;
    private focusNext;
    private focusPrev;
    private closeList;
    private focusItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListEditorComponent, "ng-component", never, {}, { "itemSelect": "itemSelect"; "close": "close"; }, never, never, true, never>;
}
