/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Sheet } from "@progress/kendo-spreadsheet-common";
import { SheetInfo } from "../models";
/**
 * @hidden
 */
export interface SheetsChanges {
    /**
     * The current Spreadsheet sheets collection.
     */
    sheets: Sheet[];
    /**
     * The type of the change action. The built-in types are `add`, `rename`, `delete`, `reorder`, `hide`.
     */
    actionType: string;
    /**
     * The updated Spreadsheet sheet.
     */
    sheet?: SheetInfo;
}
