/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ViewContainerRef } from '@angular/core';
import { Range, Sheet, SpreadsheetWidget } from '@progress/kendo-spreadsheet-common';
import { Subject } from 'rxjs';
import { SheetsChanges } from './sheet-changes';
import { SheetInfo } from '../models';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetService {
    spreadsheet: SpreadsheetWidget;
    sheetsChanged: Subject<SheetsChanges>;
    onSheetsBarFocus: Subject<any>;
    activeSheetChanged: Subject<Sheet>;
    selectionChanged: Subject<Range>;
    dialogContainer: ViewContainerRef;
    constructor();
    set currentActiveSheet(value: string);
    get currentActiveSheet(): string;
    get activeSheet(): string;
    get formulaListId(): string;
    get tablistId(): string;
    private _currentActiveSheet;
    notifySheetsChange(actionType: string, sheetInfo?: SheetInfo): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpreadsheetService>;
}
