/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Component, EventEmitter, Output } from '@angular/core';
import { CalendarComponent as KendoCalendarComponent } from '@progress/kendo-angular-dateinputs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class CalendarComponent {
    value;
    type = 'classic';
    min;
    max;
    disabledDates;
    valueChange = new EventEmitter();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CalendarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: CalendarComponent, isStandalone: true, selector: "ng-component", outputs: { valueChange: "valueChange" }, ngImport: i0, template: `
        <kendo-calendar
            [type]="type"
            [min]="min"
            [max]="max"
            [value]="value"
            [disabledDates]="disabledDates"
            (valueChange)="valueChange.emit($event)">
        </kendo-calendar>
    `, isInline: true, dependencies: [{ kind: "component", type: KendoCalendarComponent, selector: "kendo-calendar", inputs: ["showOtherMonthDays", "id", "focusedDate", "min", "max", "rangeValidation", "weekDaysFormat", "footer", "selection", "allowReverse", "value", "disabled", "tabindex", "tabIndex", "disabledDates", "navigation", "activeView", "bottomView", "topView", "type", "animateNavigation", "weekNumber", "cellTemplate", "monthCellTemplate", "yearCellTemplate", "decadeCellTemplate", "centuryCellTemplate", "weekNumberTemplate", "headerTitleTemplate", "headerTemplate", "footerTemplate", "navigationItemTemplate", "size", "activeRangeEnd"], outputs: ["closePopup", "activeViewChange", "navigate", "activeViewDateChange", "blur", "focus", "valueChange"], exportAs: ["kendo-calendar"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: CalendarComponent, decorators: [{
            type: Component,
            args: [{
                    template: `
        <kendo-calendar
            [type]="type"
            [min]="min"
            [max]="max"
            [value]="value"
            [disabledDates]="disabledDates"
            (valueChange)="valueChange.emit($event)">
        </kendo-calendar>
    `,
                    standalone: true,
                    imports: [KendoCalendarComponent]
                }]
        }], propDecorators: { valueChange: [{
                type: Output
            }] } });
