/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SpreadsheetComponent } from './spreadsheet.component';
import { SpreadsheetBoldDirective } from './tools/typographical-emphasis/bold-tool.directive';
import { SpreadsheetItalicDirective } from './tools/typographical-emphasis/italic-tool.directive';
import { SpreadsheetUndoDirective } from './tools/history/undo-tool';
import { SpreadsheetRedoDirective } from './tools/history/redo-tool';
import { SpreadsheetUnderlineDirective } from './tools/typographical-emphasis/underline-tool.directive';
import { SpreadsheetLoadFileComponent } from './tools/load-file.component';
import { SpreadsheetSaveFileDirective } from './tools/save-file-tool.directive';
import { CustomMessagesComponent } from './localization/custom-messages.component';
import { SpreadsheetFormatDirective } from './tools/format-tool.directive';
import { SpreadsheetFontFamilyComponent } from './tools/font-family/spreadsheet-fontfamily-tool.component';
import { SpreadsheetFontSizeComponent } from './tools/font-size/spreadsheet-fontsize-tool.component';
import { SpreadsheetBackColorComponent } from './tools/colorpicker/spreadsheet-backcolor.component';
import { SpreadsheetForeColorComponent } from './tools/colorpicker/spreadsheet-forecolor.component';
import { SpreadsheetGridLinesDirective } from './tools/gridlines-tool.directive';
import { SpreadsheetAddColumnLeftButtonDirective } from './tools/tables/add-column-left-button.directive';
import { SpreadsheetAddColumnRightButtonDirective } from './tools/tables/add-column-right-button.directive';
import { SpreadsheetAddRowAboveButtonDirective } from './tools/tables/add-row-above-button.directive';
import { SpreadsheetAddRowBelowButtonDirective } from './tools/tables/add-row-below-button.directive';
import { SpreadsheetDeleteColumnButtonDirective } from './tools/tables/delete-column-button.directive';
import { SpreadsheetDeleteRowButtonDirective } from './tools/tables/delete-row-button.directive';
import { SpreadsheetTextAlignDirective } from './tools/align/align-tool.directive';
import { SpreadsheetTextWrapDirective } from './tools/text-wrap-tool.directive';
import { SpreadsheetMergeDirective } from './tools/tables/merge-tool.directive';
import { SpreadsheetInsertLinkDirective } from './tools/insert/insert-link-tool.directive';
import { SpreadsheetIncreaseFontSizeDirective } from './tools/font-size/increase-font-tool.directive';
import { SpreadsheetDecreaseFontSizeDirective } from './tools/font-size/decrease-font-tool.directive';
import { SpreadsheetIncreaseDecimalDirective } from './tools/increase-decimal-tool.directive';
import { SpreadsheetDecreaseDecimalDirective } from './tools/decrease-decimal-tool.directive';
import { SpreadsheetHorizontalTextAlignDirective } from './tools/align/horizontal-align-tool.directive';
import { SpreadsheetVerticalTextAlignDirective } from './tools/align/vertical-align-tool.directive';
import { SpreadsheetDataValidationDirective } from './tools/data-validation-tool.directive';
/**
* Utility array that contains all `@progress/kendo-angular-spreadsheet` related components and directives.
*/
export const KENDO_SPREADSHEET = [
    SpreadsheetComponent,
    CustomMessagesComponent,
    SpreadsheetBoldDirective,
    SpreadsheetDataValidationDirective,
    SpreadsheetItalicDirective,
    SpreadsheetUnderlineDirective,
    SpreadsheetLoadFileComponent,
    SpreadsheetSaveFileDirective,
    SpreadsheetFormatDirective,
    SpreadsheetUndoDirective,
    SpreadsheetRedoDirective,
    SpreadsheetFontFamilyComponent,
    SpreadsheetFontSizeComponent,
    SpreadsheetBackColorComponent,
    SpreadsheetForeColorComponent,
    SpreadsheetGridLinesDirective,
    SpreadsheetAddColumnLeftButtonDirective,
    SpreadsheetAddColumnRightButtonDirective,
    SpreadsheetAddRowAboveButtonDirective,
    SpreadsheetAddRowBelowButtonDirective,
    SpreadsheetDeleteColumnButtonDirective,
    SpreadsheetDeleteRowButtonDirective,
    SpreadsheetTextAlignDirective,
    SpreadsheetTextWrapDirective,
    SpreadsheetMergeDirective,
    SpreadsheetInsertLinkDirective,
    SpreadsheetIncreaseFontSizeDirective,
    SpreadsheetDecreaseFontSizeDirective,
    SpreadsheetIncreaseDecimalDirective,
    SpreadsheetDecreaseDecimalDirective,
    SpreadsheetHorizontalTextAlignDirective,
    SpreadsheetVerticalTextAlignDirective
];
