/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Component } from '@angular/core';
import { NgIf } from '@angular/common';
import { DialogRef, DialogContentBase } from '@progress/kendo-angular-dialog';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import { LabelComponent } from '@progress/kendo-angular-label';
import * as i0 from "@angular/core";
import * as i1 from "@progress/kendo-angular-dialog";
/**
 * @hidden
 */
export class ActionDialogComponent extends DialogContentBase {
    dialog;
    commandName;
    value;
    tabindex;
    constructor(dialog) {
        super(dialog);
        this.dialog = dialog;
    }
    setData(args) {
        this.value = args.value;
        this.tabindex = args.tabindex;
        this.commandName = args.commandName;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ActionDialogComponent, deps: [{ token: i1.DialogRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: ActionDialogComponent, isStandalone: true, selector: "ng-component", usesInheritance: true, ngImport: i0, template: `
        <ng-container *ngIf="commandName === 'delete'">
            <p>The deleted sheet data will be lost.</p>
            <p>Are you sure you want to proceed?</p>
        </ng-container>

        <form class="k-form k-form-md" *ngIf="commandName === 'rename'" method="dialog">
            <div class="k-form-field">
                <kendo-label [for]="textbox" text="Rename sheet"></kendo-label>
                <div class="k-form-field-wrap">
                    <kendo-textbox #textbox
                        autocomplete="off"
                        placeholder="Sheet name"
                        [(value)]="value">
                    </kendo-textbox>
                </div>
            </div>
        </form>
    `, isInline: true, dependencies: [{ kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: LabelComponent, selector: "kendo-label", inputs: ["text", "for", "optional", "labelCssStyle", "labelCssClass"], exportAs: ["kendoLabel"] }, { kind: "component", type: TextBoxComponent, selector: "kendo-textbox", inputs: ["focusableId", "title", "type", "disabled", "readonly", "tabindex", "value", "selectOnFocus", "showSuccessIcon", "showErrorIcon", "clearButton", "successIcon", "successSvgIcon", "errorIcon", "errorSvgIcon", "clearButtonIcon", "clearButtonSvgIcon", "size", "rounded", "fillMode", "tabIndex", "placeholder", "maxlength", "inputAttributes"], outputs: ["valueChange", "inputFocus", "inputBlur", "focus", "blur"], exportAs: ["kendoTextBox"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ActionDialogComponent, decorators: [{
            type: Component,
            args: [{
                    template: `
        <ng-container *ngIf="commandName === 'delete'">
            <p>The deleted sheet data will be lost.</p>
            <p>Are you sure you want to proceed?</p>
        </ng-container>

        <form class="k-form k-form-md" *ngIf="commandName === 'rename'" method="dialog">
            <div class="k-form-field">
                <kendo-label [for]="textbox" text="Rename sheet"></kendo-label>
                <div class="k-form-field-wrap">
                    <kendo-textbox #textbox
                        autocomplete="off"
                        placeholder="Sheet name"
                        [(value)]="value">
                    </kendo-textbox>
                </div>
            </div>
        </form>
    `,
                    standalone: true,
                    imports: [NgIf, LabelComponent, TextBoxComponent]
                }]
        }], ctorParameters: function () { return [{ type: i1.DialogRef }]; } });
