/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Component } from '@angular/core';
import { DropDownListComponent } from '@progress/kendo-angular-dropdowns';
import { DropDownListBase } from '../shared/spreadsheet-dropdownlist.base';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class FontSizeDropDownListComponent extends DropDownListBase {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FontSizeDropDownListComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: FontSizeDropDownListComponent, isStandalone: true, selector: "kendo-spreadsheet-fontsize-dropdownlist", usesInheritance: true, ngImport: i0, template: `
        <kendo-dropdownlist
            #element
            class="k-toolbar-dropdownlist"
            [data]="data"
            [(value)]="value"
            [attr.title]="title"
            [tabindex]="tabindex"
            (valueChange)="onValueChange($event)"
            [leftRightArrowsNavigation]="false"
            [fillMode]="fillMode"></kendo-dropdownlist>
    `, isInline: true, dependencies: [{ kind: "component", type: DropDownListComponent, selector: "kendo-dropdownlist", inputs: ["customIconClass", "showStickyHeader", "icon", "svgIcon", "loading", "data", "value", "textField", "valueField", "adaptiveMode", "adaptiveTitle", "adaptiveSubtitle", "popupSettings", "listHeight", "defaultItem", "disabled", "itemDisabled", "readonly", "filterable", "virtual", "ignoreCase", "delay", "valuePrimitive", "tabindex", "tabIndex", "size", "rounded", "fillMode", "leftRightArrowsNavigation", "id"], outputs: ["valueChange", "filterChange", "selectionChange", "open", "opened", "close", "closed", "focus", "blur"], exportAs: ["kendoDropDownList"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FontSizeDropDownListComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'kendo-spreadsheet-fontsize-dropdownlist',
                    template: `
        <kendo-dropdownlist
            #element
            class="k-toolbar-dropdownlist"
            [data]="data"
            [(value)]="value"
            [attr.title]="title"
            [tabindex]="tabindex"
            (valueChange)="onValueChange($event)"
            [leftRightArrowsNavigation]="false"
            [fillMode]="fillMode"></kendo-dropdownlist>
    `,
                    standalone: true,
                    imports: [DropDownListComponent]
                }]
        }] });
