/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Component } from '@angular/core';
import { DialogRef, DialogContentBase } from '@progress/kendo-angular-dialog';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import { LabelComponent } from '@progress/kendo-angular-label';
import * as i0 from "@angular/core";
import * as i1 from "@progress/kendo-angular-dialog";
/**
 * @hidden
 */
export class InsertLinkDialogComponent extends DialogContentBase {
    dialog;
    urlLink = '';
    title;
    constructor(dialog) {
        super(dialog);
        this.dialog = dialog;
    }
    setData(args) {
        this.urlLink = args.link;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InsertLinkDialogComponent, deps: [{ token: i1.DialogRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: InsertLinkDialogComponent, isStandalone: true, selector: "ng-component", usesInheritance: true, ngImport: i0, template: `
    <form class="k-form k-form-md" method="dialog">
        <div class="k-form-field">
            <kendo-label [for]="textbox" text="URL"></kendo-label>
                <kendo-textbox #textbox
                    [(value)]="urlLink">
                </kendo-textbox>
        </div>
    </form>
    `, isInline: true, dependencies: [{ kind: "component", type: LabelComponent, selector: "kendo-label", inputs: ["text", "for", "optional", "labelCssStyle", "labelCssClass"], exportAs: ["kendoLabel"] }, { kind: "component", type: TextBoxComponent, selector: "kendo-textbox", inputs: ["focusableId", "title", "type", "disabled", "readonly", "tabindex", "value", "selectOnFocus", "showSuccessIcon", "showErrorIcon", "clearButton", "successIcon", "successSvgIcon", "errorIcon", "errorSvgIcon", "clearButtonIcon", "clearButtonSvgIcon", "size", "rounded", "fillMode", "tabIndex", "placeholder", "maxlength", "inputAttributes"], outputs: ["valueChange", "inputFocus", "inputBlur", "focus", "blur"], exportAs: ["kendoTextBox"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: InsertLinkDialogComponent, decorators: [{
            type: Component,
            args: [{
                    template: `
    <form class="k-form k-form-md" method="dialog">
        <div class="k-form-field">
            <kendo-label [for]="textbox" text="URL"></kendo-label>
                <kendo-textbox #textbox
                    [(value)]="urlLink">
                </kendo-textbox>
        </div>
    </form>
    `,
                    standalone: true,
                    imports: [LabelComponent, TextBoxComponent]
                }]
        }], ctorParameters: function () { return [{ type: i1.DialogRef }]; } });
