/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { alignCenterIcon, alignJustifyIcon, alignLeftIcon, alignRightIcon, boldIcon, dropletIcon, foregroundColorIcon, italicIcon, tableColumnDeleteIcon, tableColumnInsertLeftIcon, tableColumnInsertRightIcon, tableRowDeleteIcon, tableRowInsertAboveIcon, tableRowInsertBelowIcon, underlineIcon, arrowRotateCcwIcon, arrowRotateCwIcon, bordersNoneIcon, alignTopIcon, alignMiddleIcon, alignBottomIcon, textWrapIcon, folderOpenIcon, downloadIcon, customFormatIcon, fontSizeIcon, fontFamilyIcon, cellsMergeHorizontallyIcon, cellsMergeIcon, cellsMergeVerticallyIcon, tableUnmergeIcon, linkIcon, fontGrowIcon, fontShrinkIcon, decimalDecreaseIcon, decimalIncreaseIcon, copyIcon, cutIcon, clipboardIcon, eyeSlashIcon, eyeIcon, exclamationCircleIcon } from '@progress/kendo-svg-icons';
/**
 * @hidden
 */
export const commandIcons = {
    alignCenter: 'align-center',
    alignJustify: 'align-justify',
    alignLeft: 'align-left',
    alignRight: 'align-right',
    alignTop: 'align-top',
    alignMiddle: 'align-middle',
    alignBottom: 'align-bottom',
    align: 'align-left',
    alignHorizontal: 'align-left',
    alignVertical: 'align-middle',
    background: 'droplet',
    bold: 'bold',
    color: 'foreground-color',
    italic: 'italic',
    redo: 'arrow-rotate-cw',
    underline: 'underline',
    undo: 'arrow-rotate-ccw',
    wrap: 'text-wrap',
    addColumnLeft: 'table-column-insert-left',
    addColumnRight: 'table-column-insert-right',
    addRowAbove: 'table-row-insert-above',
    addRowBelow: 'table-row-insert-below',
    deleteRow: 'table-row-delete',
    deleteColumn: 'table-column-delete',
    gridLines: 'borders-none',
    folderOpen: 'folder-open',
    download: 'download',
    format: 'custom-format',
    fontSize: 'font-size',
    fontFamily: 'font-family',
    merge: 'cells-merge',
    mergeAll: 'cells-merge',
    mergeHorizontally: 'cells-merge-horizontally',
    mergeVertically: 'cells-merge-vertically',
    unmerge: 'table-unmerge',
    insertLink: 'hyperlink',
    increaseFontSize: 'font-grow',
    decreaseFontSize: 'font-shrink',
    increaseDecimal: 'decimal-increase',
    decreaseDecimal: 'decimal-decrease',
    dataValidation: 'exclamation-circle',
    copy: 'copy',
    cut: 'cut',
    paste: 'clipboard',
    hideRow: 'eye-slash',
    unhideRow: 'eye',
    hideColumn: 'eye-slash',
    unhideColumn: 'eye'
};
/**
 * @hidden
 */
export const commandSVGIcons = {
    alignCenter: alignCenterIcon,
    alignJustify: alignJustifyIcon,
    alignLeft: alignLeftIcon,
    alignRight: alignRightIcon,
    alignTop: alignTopIcon,
    alignMiddle: alignMiddleIcon,
    alignBottom: alignBottomIcon,
    align: alignLeftIcon,
    alignHorizontal: alignLeftIcon,
    alignVertical: alignMiddleIcon,
    background: dropletIcon,
    bold: boldIcon,
    color: foregroundColorIcon,
    italic: italicIcon,
    redo: arrowRotateCwIcon,
    underline: underlineIcon,
    undo: arrowRotateCcwIcon,
    wrap: textWrapIcon,
    addColumnLeft: tableColumnInsertLeftIcon,
    addColumnRight: tableColumnInsertRightIcon,
    addRowAbove: tableRowInsertAboveIcon,
    addRowBelow: tableRowInsertBelowIcon,
    deleteRow: tableRowDeleteIcon,
    deleteColumn: tableColumnDeleteIcon,
    gridLines: bordersNoneIcon,
    folderOpen: folderOpenIcon,
    download: downloadIcon,
    format: customFormatIcon,
    fontSize: fontSizeIcon,
    fontFamily: fontFamilyIcon,
    merge: cellsMergeIcon,
    mergeAll: cellsMergeIcon,
    mergeHorizontally: cellsMergeHorizontallyIcon,
    mergeVertically: cellsMergeVerticallyIcon,
    unmerge: tableUnmergeIcon,
    insertLink: linkIcon,
    increaseFontSize: fontGrowIcon,
    decreaseFontSize: fontShrinkIcon,
    decreaseDecimal: decimalDecreaseIcon,
    dataValidation: exclamationCircleIcon,
    increaseDecimal: decimalIncreaseIcon,
    copy: copyIcon,
    cut: cutIcon,
    paste: clipboardIcon,
    hideRow: eyeSlashIcon,
    unhideRow: eyeIcon,
    hideColumn: eyeSlashIcon,
    unhideColumn: eyeIcon
};
