/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Component } from '@angular/core';
import { NgSwitch, NgSwitchCase } from '@angular/common';
import { DialogRef, DialogContentBase } from '@progress/kendo-angular-dialog';
import { ColorPickerComponent } from '@progress/kendo-angular-inputs';
import { FontSizeDropDownListComponent } from '../font-size/font-size-dropdownlist.component';
import { FontFamilyDropDownListComponent } from '../font-family/font-family-dropdownlist.component';
import * as i0 from "@angular/core";
import * as i1 from "@progress/kendo-angular-dialog";
/**
 * @hidden
 */
export class DialogContentComponent extends DialogContentBase {
    dialog;
    data = [];
    value;
    tabindex;
    componentType;
    title;
    constructor(dialog) {
        super(dialog);
        this.dialog = dialog;
    }
    setData(args) {
        this.data = args.data;
        this.value = args.value;
        this.tabindex = args.tabindex;
        this.componentType = args.componentType;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogContentComponent, deps: [{ token: i1.DialogRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DialogContentComponent, isStandalone: true, selector: "ng-component", usesInheritance: true, ngImport: i0, template: `
        <div 
            [ngSwitch]="componentType"
            class="k-d-flex k-align-items-center k-justify-content-center">
            <kendo-spreadsheet-fontfamily-dropdownlist
                *ngSwitchCase="'fontFamily'"
                [data]="data"
                [(value)]="value"
                [attr.title]="title"
                [tabindex]="tabindex"
                [style.width.em]="13"
                ></kendo-spreadsheet-fontfamily-dropdownlist>
            <kendo-spreadsheet-fontsize-dropdownlist
                *ngSwitchCase="'fontSize'"
                [data]="data"
                [(value)]="value"
                [attr.title]="title"
                [tabindex]="tabindex"
                [style.width.em]="13"
                ></kendo-spreadsheet-fontsize-dropdownlist>
            <kendo-colorpicker
                *ngSwitchCase="'color'"
                [attr.title]="title"
                [format]="'hex'"
                [(value)]="value"
                [tabindex]="tabindex"
                [clearButton]="false"
                fillMode="flat"
            ></kendo-colorpicker>
            <kendo-colorpicker
                *ngSwitchCase="'background'"
                [attr.title]="title"
                [format]="'hex'"
                [(value)]="value"
                [tabindex]="tabindex"
                [clearButton]="false"
                fillMode="flat"
            ></kendo-colorpicker>
        </div>
    `, isInline: true, dependencies: [{ kind: "directive", type: NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "component", type: FontFamilyDropDownListComponent, selector: "kendo-spreadsheet-fontfamily-dropdownlist" }, { kind: "component", type: FontSizeDropDownListComponent, selector: "kendo-spreadsheet-fontsize-dropdownlist" }, { kind: "component", type: ColorPickerComponent, selector: "kendo-colorpicker", inputs: ["views", "view", "adaptiveMode", "activeView", "readonly", "disabled", "format", "value", "popupSettings", "paletteSettings", "gradientSettings", "icon", "iconClass", "svgIcon", "adaptiveTitle", "adaptiveSubtitle", "clearButton", "tabindex", "preview", "actionsLayout", "size", "rounded", "fillMode"], outputs: ["valueChange", "open", "close", "focus", "blur", "cancel", "activeColorClick", "clearButtonClick", "activeViewChange"], exportAs: ["kendoColorPicker"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DialogContentComponent, decorators: [{
            type: Component,
            args: [{
                    template: `
        <div 
            [ngSwitch]="componentType"
            class="k-d-flex k-align-items-center k-justify-content-center">
            <kendo-spreadsheet-fontfamily-dropdownlist
                *ngSwitchCase="'fontFamily'"
                [data]="data"
                [(value)]="value"
                [attr.title]="title"
                [tabindex]="tabindex"
                [style.width.em]="13"
                ></kendo-spreadsheet-fontfamily-dropdownlist>
            <kendo-spreadsheet-fontsize-dropdownlist
                *ngSwitchCase="'fontSize'"
                [data]="data"
                [(value)]="value"
                [attr.title]="title"
                [tabindex]="tabindex"
                [style.width.em]="13"
                ></kendo-spreadsheet-fontsize-dropdownlist>
            <kendo-colorpicker
                *ngSwitchCase="'color'"
                [attr.title]="title"
                [format]="'hex'"
                [(value)]="value"
                [tabindex]="tabindex"
                [clearButton]="false"
                fillMode="flat"
            ></kendo-colorpicker>
            <kendo-colorpicker
                *ngSwitchCase="'background'"
                [attr.title]="title"
                [format]="'hex'"
                [(value)]="value"
                [tabindex]="tabindex"
                [clearButton]="false"
                fillMode="flat"
            ></kendo-colorpicker>
        </div>
    `,
                    standalone: true,
                    imports: [NgSwitch, NgSwitchCase, FontFamilyDropDownListComponent, FontSizeDropDownListComponent, ColorPickerComponent]
                }]
        }], ctorParameters: function () { return [{ type: i1.DialogRef }]; } });
