/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, ElementRef, EventEmitter, HostBinding, Input, Output, ViewChild } from "@angular/core";
import { DropDownListComponent } from "@progress/kendo-angular-dropdowns";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class DropDownListBase {
    display = 'inline-flex';
    data;
    value;
    title;
    tabindex;
    fillMode = 'flat';
    valueChange = new EventEmitter();
    element;
    dropDownList;
    onValueChange(value) {
        this.valueChange.emit(value);
    }
    focus() {
        this.dropDownList.focus();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DropDownListBase, deps: [], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: DropDownListBase, selector: "kendo-spreadsheet-dropdownlist-base", inputs: { data: "data", value: "value", title: "title", tabindex: "tabindex" }, outputs: { valueChange: "valueChange" }, host: { properties: { "style.display": "this.display" } }, viewQueries: [{ propertyName: "element", first: true, predicate: ["element"], descendants: true, static: true }, { propertyName: "dropDownList", first: true, predicate: ["element"], descendants: true, read: DropDownListComponent, static: true }], ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DropDownListBase, decorators: [{
            type: Directive,
            args: [{
                    selector: 'kendo-spreadsheet-dropdownlist-base'
                }]
        }], propDecorators: { display: [{
                type: HostBinding,
                args: ['style.display']
            }], data: [{
                type: Input
            }], value: [{
                type: Input
            }], title: [{
                type: Input
            }], tabindex: [{
                type: Input
            }], valueChange: [{
                type: Output
            }], element: [{
                type: ViewChild,
                args: ['element', { static: true }]
            }], dropDownList: [{
                type: ViewChild,
                args: ['element', { read: DropDownListComponent, static: true }]
            }] } });
