/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export const mapToSheetDescriptor = (sheetsArray) => {
    return sheetsArray.map((sheet) => {
        return {
            activeCell: sheet.activeCell(),
            columns: sheet._columns,
            defaultCellStyle: sheet._defaultCellStyle,
            drawings: sheet._drawings,
            frozenColumns: sheet.frozenColumns,
            frozenRows: sheet.frozenRows,
            hyperlinks: sheet._hyperlinks,
            mergedCells: sheet.mergedCells,
            name: sheet.name(),
            rows: sheet._rows,
            selection: sheet.selection(),
            showGridLines: sheet.showGridLines,
            state: sheet.state()
        };
    });
};
/**
 * @hidden
 */
export const replaceMessagePlaceholder = (message, name, value) => message.replace(new RegExp(`\{\\s*${name}\\s*\}`, 'g'), value);
/**
 * @hidden
 */
export const rowAndColPresent = (value) => {
    return (value && value.row !== null && value.col !== null && value.row > -1 && value.col > -1);
};
