/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class MessagesDirective extends ComponentMessages {
    /**
     * The name of the "Home" toolbar tab
     */
    home: string;
    /**
     * The name of the "File" toolbar tab
     */
    file: string;
    /**
     * The name of the "Insert" toolbar tab
     */
    insert: string;
    /**
     * The name of the "Format" toolbar tab
     */
    formatTab: string;
    /**
     * The name of the "Data" toolbar tab
     */
    dataTab: string;
    /**
     * The title of the Save File tool
     */
    saveFile: string;
    /**
     * The title of the Load File tool
     */
    loadFile: string;
    /**
     * The title of the Bold tool
     */
    bold: string;
    /**
     * The title of the Data Validation tool
     */
    dataValidation: string;
    /**
     * The text of the Cell Range input label in the data validation dialog
     */
    validationCellRange: string;
    /**
     * The text of the Criteria dropdown list label in the data validation dialog.
     */
    validationCriteria: string;
    /**
     * The text of the Comparer dropdown list label in the data validation dialog.
     */
    validationComparer: string;
    /**
     * The text of the Min value label in the data validation dialog.
     */
    validationMinValue: string;
    /**
     * The text of the Max value label in the data validation dialog.
     */
    validationMaxValue: string;
    /**
     * The text of the Start value label in the data validation dialog.
     */
    validationStartValue: string;
    /**
     * The text of the End value label in the data validation dialog.
     */
    validationEndValue: string;
    /**
     * The text of the Value label in the data validation dialog.
     */
    validationValue: string;
    /**
     * The text for the Show list button checkbox label in the data validation dialog.
     */
    validationShowListButtonCheckbox: string;
    /**
     * The text for the Show date button checkbox label in the data validation dialog.
     */
    validationShowDateButtonCheckbox: string;
    /**
     * The text for the Ignore blank checkbox label in the data validation dialog.
     */
    validationIgnoreBlankCheckbox: string;
    /**
     * The text for the On invalid data label in the data validation dialog.
     */
    validationOnInvalidData: string;
    /**
     * The text for the Reject input radio button label in the data validation dialog.
     */
    validationRejectInput: string;
    /**
     * The text for the Show warning radio button label in the data validation dialog.
     */
    validationShowWarning: string;
    /**
     * The text for the Show hint checkbox label in the data validation dialog.
     */
    validationShowHint: string;
    /**
     * The text of the Any value validation criteria.
     */
    anyValueValidationCriteria: string;
    /**
     * The text of the Number validation criteria.
     */
    numberValidationCriteria: string;
    /**
     * The text of the Text validation criteria.
     */
    textValidationCriteria: string;
    /**
     * The text of the Date validation criteria.
     */
    dateValidationCriteria: string;
    /**
     * The text of the Custom Formula validation criteria.
     */
    customFormulaValidationCriteria: string;
    /**
     * The text of the List validation criteria.
     */
    listValidationCriteria: string;
    /**
     * The text of the greater than validation comparer.
     */
    greaterThanValidationComparer: string;
    /**
     * The text of the less than validation comparer.
     */
    lessThanValidationComparer: string;
    /**
     * The text of the between validation comparer.
     */
    betweenValidationComparer: string;
    /**
     * The text of the not between validation comparer.
     */
    notBetweenValidationComparer: string;
    /**
     * The text of the equal to validation comparer.
     */
    equalToValidationComparer: string;
    /**
     * The text of the not equal to validation comparer.
     */
    notEqualToValidationComparer: string;
    /**
     * The text of the greater than or equal to validation comparer.
     */
    greaterThanOrEqualToValidationComparer: string;
    /**
     * The text of the less than or equal to validation comparer.
     */
    lessThanOrEqualToValidationComparer: string;
    /**
     * The text for the Custom hint input label in the data validation dialog.
     */
    validationHintMessage: string;
    /**
     * The text for the Custom hint title input label in the data validation dialog.
     */
    validationHintTitle: string;
    /**
     * The title of the Italic tool
     */
    italic: string;
    /**
     * The title of the Underline tool
     */
    underline: string;
    /**
     * The title of the Format tool
     */
    format: string;
    /**
     * The title of the Font Family tool
     */
    fontFamily: string;
    /**
     * The title of the Font Size tool
     */
    fontSize: string;
    /**
     * The title of the Undo tool
     */
    undo: string;
    /**
     * The title of the Redo tool
     */
    redo: string;
    /**
     * The title of the tool that changes the text background color
     */
    background: string;
    /**
     * The title of the tool that changes the text font color
     */
    color: string;
    /**
     * The title of the Grid Lines tool
     */
    gridLines: string;
    /**
     * The title of the tool that adds new column before currently selected column
     */
    addColumnLeft: string;
    /**
     * The title of the tool that adds new column after currently selected column
     */
    addColumnRight: string;
    /**
     * The title of the tool that adds new row below currently selected row
     */
    addRowBelow: string;
    /**
     * The title of the tool that adds new row above currently selected row
     */
    addRowAbove: string;
    /**
     * The title of the tool that deletes a column
     */
    deleteColumn: string;
    /**
     * The title of the tool that deletes a row
     */
    deleteRow: string;
    /**
     * The title of the Text Wrap tool
     */
    wrap: string;
    /**
     * The title of the Text Align tool
     */
    align: string;
    /**
     * The title of the Text Align Horizontal tool
     */
    alignHorizontal: string;
    /**
     * The title of the Text Align Vertical tool
     */
    alignVertical: string;
    /**
     * The title of the Text Align Left tool
     */
    alignLeft: string;
    /**
     * The title of the Text Align Center tool
     */
    alignCenter: string;
    /**
     * The title of the Text Align Right tool
     */
    alignRight: string;
    /**
     * The title of the Text Align Justify tool
     */
    alignJustify: string;
    /**
     * The title of the Text Align Top tool
     */
    alignTop: string;
    /**
     * The title of the Text Align Middle tool
     */
    alignMiddle: string;
    /**
     * The title of the Text Align Bottom tool
     */
    alignBottom: string;
    /**
     * The text of the Apply button in all Spreadsheet dialogs
     */
    dialogApply: string;
    /**
     * The text of the Cancel button in all Spreadsheet dialogs
     */
    dialogCancel: string;
    /**
     * The text of the Delete button in the Delete sheet dialog
     */
    dialogDelete: string;
    /**
     * The text of the Rename button in the Rename sheet dialog
     */
    dialogRename: string;
    /**
     * The text of the **Insert** button in all Spreadsheet dialogs
     */
    dialogInsert: string;
    /**
     * The text of the **Remove** button in all Spreadsheet dialogs
     */
    dialogRemove: string;
    /**
     * The text of the **Remove link** button in the Link tool dialog
     */
    dialogRemoveLink: string;
    /**
     * The title of the Delete sheet dialog
     */
    delete: string;
    /**
     * The title of the Rename sheet dialog
     */
    rename: string;
    /**
     * The title of the Name Box input
     */
    nameBox: string;
    /**
     * The title of the Formula input
     */
    formulaInput: string;
    /**
     * The title of the Add new sheet button
     */
    addSheet: string;
    /**
     * The title of the Sheets menu button
     */
    sheetsMenu: string;
    /**
     * The text of the View toolbar tab
     */
    view: string;
    /**
     * The title of the Cells Merge tool
     */
    merge: string;
    /**
     * The title of the Merge horizontally tool
     */
    mergeHorizontally: string;
    /**
     * The title of the Merge vertically tool
     */
    mergeVertically: string;
    /**
     * The title of the Merge all tool
     */
    mergeAll: string;
    /**
     * The title of the Unmerge tool
     */
    unmerge: string;
    /**
     * The title of the tool that inserts a link
     */
    insertLink: string;
    /**
     * The title of the tool that inserts a link
     */
    increaseDecimal: string;
    /**
     * The title of the tool that inserts a link
     */
    decreaseDecimal: string;
    /**
     * The title of the tool that increases the cell font size
     */
    increaseFontSize: string;
    /**
     * The title of the tool that decreases the cell font size
     */
    decreaseFontSize: string;
    /**
     * The content of the dialog that warns about an unsupported file type
     */
    openUnsupported: string;
    /**
     * The content of the dialog that warns about modifying a merged cell
     */
    modifyMerged: string;
    /**
     * The content of the dialog that warns about modifying a disabled cell
     */
    cannotModifyDisabled: string;
    /**
     * The text of the **OK** dialog button
     */
    dialogOk: string;
    /**
     * The title of an error dialog
     */
    dialogError: string;
    /**
     * The content of the dialog that warns about duplicated sheet name
     */
    duplicateSheetName: string;
    /**
     * The Copy command text
     */
    copy: string;
    /**
     * The Cut command text
     */
    cut: string;
    /**
     * The Paste command text
     */
    paste: string;
    /**
     * The Hide row command text
     */
    hideRow: string;
    /**
     * The Unhide row command text
     */
    unhideRow: string;
    /**
     * The Hide column command text
     */
    hideColumn: string;
    /**
     * The Unhide column command text
     */
    unhideColumn: string;
    /**
     * The text of the Sheet menu Delete option
     */
    sheetDelete: string;
    /**
     * The text of the Sheet menu Rename option
     */
    sheetRename: string;
    /**
     * The text of the Sheet menu Hide option
     */
    sheetHide: string;
    /**
     * The text of the Sheet menu Duplicate option
     */
    sheetDuplicate: string;
    /**
     * The text of the Sheet menu Move Left option
     */
    sheetMoveLeft: string;
    /**
     * The text of the Sheet menu Move Right option
     */
    sheetMoveRight: string;
    /**
     * The content of the dialog that warns about invalid name input.
     *
     * The content consists of a two-part message - the input value and a localizable string.
     * For user value input **A1%**, the default dialog content will be **Invalid name: A1%**.
     *
     * To allow reordering the input value and the localizable part, the `invalidNameError` accepts a string with a
     * placeholder for the input value, for example, **{inputValue} is invalid**. The `{inputValue}` placeholder will be replaced
     * internally with the current value, and the resulting label will be rendered as **A1% is invalid**.
     */
    invalidNameError: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessagesDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MessagesDirective, "[kendoSpreadsheetMessages]", never, { "home": { "alias": "home"; "required": false; }; "file": { "alias": "file"; "required": false; }; "insert": { "alias": "insert"; "required": false; }; "formatTab": { "alias": "formatTab"; "required": false; }; "dataTab": { "alias": "dataTab"; "required": false; }; "saveFile": { "alias": "saveFile"; "required": false; }; "loadFile": { "alias": "loadFile"; "required": false; }; "bold": { "alias": "bold"; "required": false; }; "dataValidation": { "alias": "dataValidation"; "required": false; }; "validationCellRange": { "alias": "validationCellRange"; "required": false; }; "validationCriteria": { "alias": "validationCriteria"; "required": false; }; "validationComparer": { "alias": "validationComparer"; "required": false; }; "validationMinValue": { "alias": "validationMinValue"; "required": false; }; "validationMaxValue": { "alias": "validationMaxValue"; "required": false; }; "validationStartValue": { "alias": "validationStartValue"; "required": false; }; "validationEndValue": { "alias": "validationEndValue"; "required": false; }; "validationValue": { "alias": "validationValue"; "required": false; }; "validationShowListButtonCheckbox": { "alias": "validationShowListButtonCheckbox"; "required": false; }; "validationShowDateButtonCheckbox": { "alias": "validationShowDateButtonCheckbox"; "required": false; }; "validationIgnoreBlankCheckbox": { "alias": "validationIgnoreBlankCheckbox"; "required": false; }; "validationOnInvalidData": { "alias": "validationOnInvalidData"; "required": false; }; "validationRejectInput": { "alias": "validationRejectInput"; "required": false; }; "validationShowWarning": { "alias": "validationShowWarning"; "required": false; }; "validationShowHint": { "alias": "validationShowHint"; "required": false; }; "anyValueValidationCriteria": { "alias": "anyValueValidationCriteria"; "required": false; }; "numberValidationCriteria": { "alias": "numberValidationCriteria"; "required": false; }; "textValidationCriteria": { "alias": "textValidationCriteria"; "required": false; }; "dateValidationCriteria": { "alias": "dateValidationCriteria"; "required": false; }; "customFormulaValidationCriteria": { "alias": "customFormulaValidationCriteria"; "required": false; }; "listValidationCriteria": { "alias": "listValidationCriteria"; "required": false; }; "greaterThanValidationComparer": { "alias": "greaterThanValidationComparer"; "required": false; }; "lessThanValidationComparer": { "alias": "lessThanValidationComparer"; "required": false; }; "betweenValidationComparer": { "alias": "betweenValidationComparer"; "required": false; }; "notBetweenValidationComparer": { "alias": "notBetweenValidationComparer"; "required": false; }; "equalToValidationComparer": { "alias": "equalToValidationComparer"; "required": false; }; "notEqualToValidationComparer": { "alias": "notEqualToValidationComparer"; "required": false; }; "greaterThanOrEqualToValidationComparer": { "alias": "greaterThanOrEqualToValidationComparer"; "required": false; }; "lessThanOrEqualToValidationComparer": { "alias": "lessThanOrEqualToValidationComparer"; "required": false; }; "validationHintMessage": { "alias": "validationHintMessage"; "required": false; }; "validationHintTitle": { "alias": "validationHintTitle"; "required": false; }; "italic": { "alias": "italic"; "required": false; }; "underline": { "alias": "underline"; "required": false; }; "format": { "alias": "format"; "required": false; }; "fontFamily": { "alias": "fontFamily"; "required": false; }; "fontSize": { "alias": "fontSize"; "required": false; }; "undo": { "alias": "undo"; "required": false; }; "redo": { "alias": "redo"; "required": false; }; "background": { "alias": "background"; "required": false; }; "color": { "alias": "color"; "required": false; }; "gridLines": { "alias": "gridLines"; "required": false; }; "addColumnLeft": { "alias": "addColumnLeft"; "required": false; }; "addColumnRight": { "alias": "addColumnRight"; "required": false; }; "addRowBelow": { "alias": "addRowBelow"; "required": false; }; "addRowAbove": { "alias": "addRowAbove"; "required": false; }; "deleteColumn": { "alias": "deleteColumn"; "required": false; }; "deleteRow": { "alias": "deleteRow"; "required": false; }; "wrap": { "alias": "wrap"; "required": false; }; "align": { "alias": "align"; "required": false; }; "alignHorizontal": { "alias": "alignHorizontal"; "required": false; }; "alignVertical": { "alias": "alignVertical"; "required": false; }; "alignLeft": { "alias": "alignLeft"; "required": false; }; "alignCenter": { "alias": "alignCenter"; "required": false; }; "alignRight": { "alias": "alignRight"; "required": false; }; "alignJustify": { "alias": "alignJustify"; "required": false; }; "alignTop": { "alias": "alignTop"; "required": false; }; "alignMiddle": { "alias": "alignMiddle"; "required": false; }; "alignBottom": { "alias": "alignBottom"; "required": false; }; "dialogApply": { "alias": "dialogApply"; "required": false; }; "dialogCancel": { "alias": "dialogCancel"; "required": false; }; "dialogDelete": { "alias": "dialogDelete"; "required": false; }; "dialogRename": { "alias": "dialogRename"; "required": false; }; "dialogInsert": { "alias": "dialogInsert"; "required": false; }; "dialogRemove": { "alias": "dialogRemove"; "required": false; }; "dialogRemoveLink": { "alias": "dialogRemoveLink"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "rename": { "alias": "rename"; "required": false; }; "nameBox": { "alias": "nameBox"; "required": false; }; "formulaInput": { "alias": "formulaInput"; "required": false; }; "addSheet": { "alias": "addSheet"; "required": false; }; "sheetsMenu": { "alias": "sheetsMenu"; "required": false; }; "view": { "alias": "view"; "required": false; }; "merge": { "alias": "merge"; "required": false; }; "mergeHorizontally": { "alias": "mergeHorizontally"; "required": false; }; "mergeVertically": { "alias": "mergeVertically"; "required": false; }; "mergeAll": { "alias": "mergeAll"; "required": false; }; "unmerge": { "alias": "unmerge"; "required": false; }; "insertLink": { "alias": "insertLink"; "required": false; }; "increaseDecimal": { "alias": "increaseDecimal"; "required": false; }; "decreaseDecimal": { "alias": "decreaseDecimal"; "required": false; }; "increaseFontSize": { "alias": "increaseFontSize"; "required": false; }; "decreaseFontSize": { "alias": "decreaseFontSize"; "required": false; }; "openUnsupported": { "alias": "openUnsupported"; "required": false; }; "modifyMerged": { "alias": "modifyMerged"; "required": false; }; "cannotModifyDisabled": { "alias": "cannotModifyDisabled"; "required": false; }; "dialogOk": { "alias": "dialogOk"; "required": false; }; "dialogError": { "alias": "dialogError"; "required": false; }; "duplicateSheetName": { "alias": "duplicateSheetName"; "required": false; }; "copy": { "alias": "copy"; "required": false; }; "cut": { "alias": "cut"; "required": false; }; "paste": { "alias": "paste"; "required": false; }; "hideRow": { "alias": "hideRow"; "required": false; }; "unhideRow": { "alias": "unhideRow"; "required": false; }; "hideColumn": { "alias": "hideColumn"; "required": false; }; "unhideColumn": { "alias": "unhideColumn"; "required": false; }; "sheetDelete": { "alias": "sheetDelete"; "required": false; }; "sheetRename": { "alias": "sheetRename"; "required": false; }; "sheetHide": { "alias": "sheetHide"; "required": false; }; "sheetDuplicate": { "alias": "sheetDuplicate"; "required": false; }; "sheetMoveLeft": { "alias": "sheetMoveLeft"; "required": false; }; "sheetMoveRight": { "alias": "sheetMoveRight"; "required": false; }; "invalidNameError": { "alias": "invalidNameError"; "required": false; }; }, {}, never, never, true, never>;
}
