/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The configuration object for customizing the built-in menu items.
 * Allows rendering a specific set of menu items in the desired order and choosing the initially active one.
 */
export interface SpreadsheetMainMenuItem {
    /**
     * The built-in menu items identifiers.
     */
    id: 'file' | 'home' | 'insert' | 'format' | 'view' | 'data';
    /**
     * Determines whether the menu item is initially active. If no item is set as active, the first one will be active by default.
     * If more than one items are set as active, the first of them will be active.
     */
    active?: boolean;
}
