/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SheetDescriptor } from '@progress/kendo-spreadsheet-common';
import { ListItemModel } from '@progress/kendo-angular-buttons';
/**
 * @hidden
 */
export type SheetAction = ListItemModel & {
    commandName: string;
    dialogButton?: string;
    messageKey?: string;
};
/**
 * @hidden
 */
export type SheetInfo = SheetDescriptor & {
    last: boolean;
    first: boolean;
    text: string;
    sheetActions: SheetAction[];
    inEdit?: boolean;
    active?: boolean;
    index?: number;
};
