/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, ElementRef, NgZone, OnDestroy, QueryList, Renderer2, SimpleChanges } from '@angular/core';
import { SheetDescriptor } from '@progress/kendo-spreadsheet-common';
import { ButtonComponent, DropDownButtonComponent } from '@progress/kendo-angular-buttons';
import { DialogService } from '@progress/kendo-angular-dialog';
import { SelectEvent, TabStripComponent } from '@progress/kendo-angular-layout';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { SheetInfo } from '../models/sheet-info';
import { SpreadsheetService } from '../common/spreadsheet.service';
import { SheetAction } from '../models/sheet-info';
import { SpreadsheetLocalizationService } from '../localization/spreadsheet-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SheetsBarComponent implements AfterViewInit, OnDestroy {
    private spreadsheetService;
    private element;
    private renderer;
    private localization;
    private dialogService;
    private ngZone;
    hostClasses: boolean;
    sheets: SheetInfo[];
    sheetDescriptors: SheetDescriptor[];
    private subs;
    constructor(spreadsheetService: SpreadsheetService, element: ElementRef, renderer: Renderer2, localization: SpreadsheetLocalizationService, dialogService: DialogService, ngZone: NgZone);
    addButton: ButtonComponent;
    menuButton: DropDownButtonComponent;
    tabstrip: TabStripComponent;
    actionDdbs: QueryList<DropDownButtonComponent>;
    actionDdbRefs: QueryList<ElementRef>;
    get activeSheet(): string;
    plusIcon: SVGIcon;
    menuIcon: SVGIcon;
    caretAltDownIcon: SVGIcon;
    selected: boolean;
    sheetsMenuList: any[];
    private openedDdb;
    private tabListSub;
    private hiddenStateIcons;
    private hiddenStateSVGIcons;
    get tablistId(): string;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onAddClick: () => void;
    onTabSelect(ev: SelectEvent): void;
    onOpen(ddb: DropDownButtonComponent): void;
    onClose(): void;
    onActionClick(dataItem: SheetAction, sheet: SheetInfo): void;
    onMenuItemClick(item: any): void;
    messageFor(key: string): string;
    private openDialog;
    private getCopyRegex;
    private actionsCallback;
    private selectSheet;
    private onTabListKeyDown;
    private notifySheetsChange;
    static ɵfac: i0.ɵɵFactoryDeclaration<SheetsBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SheetsBarComponent, "[kendoSpreadsheetSheetsBar]", never, { "sheets": { "alias": "sheets"; "required": false; }; "sheetDescriptors": { "alias": "sheetDescriptors"; "required": false; }; }, {}, never, never, true, never>;
}
