/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SpreadsheetLocalizationService } from '../../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../../common/spreadsheet.service';
import { ToolBarDropDownButtonComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetToolsService } from '../tools.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetVerticalTextAlignDirective {
    private host;
    private spreadsheetService;
    private toolsService;
    private commandName;
    private subs;
    constructor(host: ToolBarDropDownButtonComponent, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onItemClick(item: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetVerticalTextAlignDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpreadsheetVerticalTextAlignDirective, "[kendoSpreadsheetVerticalTextAlign]", never, {}, {}, never, never, true, never>;
}
