/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SpreadsheetService } from '../common/spreadsheet.service';
import { DialogContentBase, DialogRef } from '@progress/kendo-angular-dialog';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DataValidationDialogComponent extends DialogContentBase implements OnInit, OnDestroy {
    private localization;
    private spreadsheetService;
    private zone;
    cellRange: string;
    criteriaList: any;
    ignoreBlank: any;
    showButton: any;
    showHint: any;
    from: any;
    to: any;
    validationFormGroup: FormGroup;
    hintTitle: string;
    hintMessage: string;
    private _comparer;
    private _criteria;
    private _onInvalidData;
    private onInvalidDataSub;
    private allComparers;
    private textComparers;
    dialogAction: EventEmitter<any>;
    constructor(localization: LocalizationService, spreadsheetService: SpreadsheetService, zone: NgZone, dialog: DialogRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getLocalizationMessage(key: string): string;
    onRangeChange(value: any, input: any): void;
    onSelectionChange(item: any, field: string): void;
    get criteria(): any;
    set criteria(value: any);
    get comparer(): any;
    set comparer(value: any);
    get onInvalidData(): any;
    set onInvalidData(value: any);
    get comparerList(): any[];
    get singleValue(): boolean;
    get showComparer(): boolean;
    setData(args: any): void;
    getValueLabel(): string;
    getShowButtonLabel(): string;
    get validationPresent(): boolean;
    private addInvalidDataSub;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataValidationDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataValidationDialogComponent, "ng-component", never, {}, { "dialogAction": "dialogAction"; }, never, never, true, never>;
}
