/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, Renderer2 } from '@angular/core';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { DialogService } from '@progress/kendo-angular-dialog';
import { SpreadsheetLocalizationService } from '../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../common/spreadsheet.service';
import { SpreadsheetToolsService } from './tools.service';
import { SpreadsheetCommandButton } from './shared/spreadsheet-command-button';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetDataValidationDirective extends SpreadsheetCommandButton implements AfterViewInit {
    private dialogService;
    private renderer;
    constructor(button: ToolBarButtonComponent, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService, dialogService: DialogService, renderer: Renderer2);
    private get currentRange();
    ngAfterViewInit(): void;
    protected clickHandler(): void;
    /**
     * @hidden
     */
    openDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetDataValidationDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpreadsheetDataValidationDirective, "kendo-toolbar-button[kendoSpreadsheetDataValidation]", never, {}, {}, never, never, true, never>;
}
