/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ToolBarDropDownButtonComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetLocalizationService } from '../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../common/spreadsheet.service';
import { SpreadsheetToolsService } from './tools.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetFormatDirective {
    private host;
    private spreadsheetService;
    private toolsService;
    data: {
        text: string;
        value: string;
        cssClass?: string;
    }[];
    private commandName;
    private subs;
    constructor(host: ToolBarDropDownButtonComponent, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * @hidden
     */
    onItemClick: (item: {
        text: string;
        value: string;
    }) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetFormatDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpreadsheetFormatDirective, "[kendoSpreadsheetFormat]", never, {}, {}, never, never, true, never>;
}
