/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetLocalizationService } from '../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../common/spreadsheet.service';
import { SpreadsheetToolsService } from './tools.service';
import { SpreadsheetCommandButton } from './shared/spreadsheet-command-button';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetGridLinesDirective extends SpreadsheetCommandButton {
    constructor(button: ToolBarButtonComponent, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService);
    protected clickHandler(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetGridLinesDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpreadsheetGridLinesDirective, "kendo-toolbar-button[kendoSpreadsheetGridLines]", never, {}, {}, never, never, true, never>;
}
