/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogService } from '@progress/kendo-angular-dialog';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetLocalizationService } from '../../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../../common/spreadsheet.service';
import { SpreadsheetToolsService } from '../tools.service';
import { SpreadsheetCommandButton } from '../shared/spreadsheet-command-button';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetInsertLinkDirective extends SpreadsheetCommandButton {
    private dialogService;
    private currentRange;
    constructor(button: ToolBarButtonComponent, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService, dialogService: DialogService);
    ngOnDestroy(): void;
    protected clickHandler(): void;
    /**
     * @hidden
     */
    openDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetInsertLinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpreadsheetInsertLinkDirective, "kendo-toolbar-button[kendoSpreadsheetInsertLink]", never, {}, {}, never, never, true, never>;
}
