/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ToolBarComponent, ToolBarToolComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetService } from '../common/spreadsheet.service';
import { SpreadsheetLocalizationService } from '../localization/spreadsheet-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetLoadFileComponent extends ToolBarToolComponent {
    private localization;
    private spreadsheetService;
    toolbar: ToolBarComponent;
    private overflowButtonElement;
    private button;
    icon: string;
    svgIcon: import("@progress/kendo-angular-icons").SVGIcon;
    tabindex: number;
    constructor(localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolbar: ToolBarComponent);
    /**
     * @hidden
     */
    messageFor(key: string): string;
    onFileSelect: (e: any) => void;
    /**
     * @hidden
     */
    canFocus(): boolean;
    /**
     * @hidden
     */
    focus(): void;
    /**
     * @hidden
     */
    handleKey(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetLoadFileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpreadsheetLoadFileComponent, "kendo-spreadsheet-load-file-tool", never, {}, {}, never, never, true, never>;
}
