/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { InjectionToken } from "@angular/core";
import { SpreadsheetCommand } from "./commands";
/**
 * @hidden
 */
export declare const DEFAULT_FONT_VALUES: {
    fontSize: number;
    fontFamily: string;
};
/**
 * @hidden
 */
export declare const FONT_FAMILIES: string[];
/**
 * @hidden
 */
export declare const FONT_SIZES: number[];
/**
 * @hidden
 */
export declare const FONT_DATA: {
    fontFamily: string[];
    fontSize: number[];
};
/**
 * @hidden
 */
export declare const FORMATS: {
    text: string;
    value: string;
}[];
/**
 * @hidden
 */
export declare const ALIGNS: {
    icon: string;
    svgIcon: import("@progress/kendo-svg-icons").SVGIcon;
    textKey: string;
    commandName: string;
    value: string;
    cssClass: string;
    commandId: string;
}[];
/**
 * @hidden
 */
export declare const MERGE: {
    icon: string;
    svgIcon: import("@progress/kendo-svg-icons").SVGIcon;
    textKey: string;
    commandName: string;
    value: string;
    disabled: boolean;
    commandId: string;
}[];
/**
 * @hidden
 */
export declare const MY_TOKEN: InjectionToken<SpreadsheetCommand>;
