/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Subscription } from 'rxjs';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SpreadsheetService } from '../../common/spreadsheet.service';
import { SpreadsheetCommand } from './commands';
import { SpreadsheetToolsService } from '../tools.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class SpreadsheetCommandBaseDirective {
    protected command: SpreadsheetCommand;
    protected button: ToolBarButtonComponent;
    protected localization: LocalizationService;
    protected spreadsheetService: SpreadsheetService;
    protected toolsService: SpreadsheetToolsService;
    protected subs: Subscription;
    constructor(command: SpreadsheetCommand, button: ToolBarButtonComponent, localization: LocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected clickHandler(): void;
    protected pointerdownHandler(_event: PointerEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetCommandBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpreadsheetCommandBaseDirective, "[kendoSpreadsheetCommandBase]", never, {}, {}, never, never, false, never>;
}
