/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetService } from '../../common/spreadsheet.service';
import { SpreadsheetToolsService } from '../tools.service';
import { SpreadsheetCommand } from './commands';
import { SpreadsheetCommandBaseDirective } from './spreadsheet-command-base';
/**
 * @hidden
 */
export declare abstract class SpreadsheetCommandButton extends SpreadsheetCommandBaseDirective {
    protected command: SpreadsheetCommand;
    protected button: ToolBarButtonComponent;
    protected localization: LocalizationService;
    protected spreadsheetService: SpreadsheetService;
    protected toolsService: SpreadsheetToolsService;
    protected commandOptions: any;
    constructor(command: SpreadsheetCommand, button: ToolBarButtonComponent, localization: LocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService, commandOptions: any);
    protected clickHandler(): void;
}
