/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { SVGIcon } from '@progress/kendo-angular-icons';
import { ToolBarComponent, ToolBarToolComponent } from "@progress/kendo-angular-toolbar";
import { SpreadsheetService } from "../../common/spreadsheet.service";
import { SpreadsheetLocalizationService } from "../../localization/spreadsheet-localization.service";
import { SpreadsheetToolsService } from "../tools.service";
import { SpreadsheetCommand } from './commands';
import { DialogService } from "@progress/kendo-angular-dialog";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetDropDownToolBase extends ToolBarToolComponent implements OnInit, OnDestroy {
    command: SpreadsheetCommand;
    protected dialogService: DialogService;
    protected localization: SpreadsheetLocalizationService;
    protected spreadsheetService: SpreadsheetService;
    private toolsService;
    private toolbar;
    element: ElementRef;
    dropDownListRef: any;
    popupButton: ElementRef;
    data: any[];
    constructor(command: SpreadsheetCommand, dialogService: DialogService, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService, toolsService: SpreadsheetToolsService, toolbar: ToolBarComponent);
    /**
     * Fires when the user updates the value of the drop-down list.
     */
    valueChange: EventEmitter<string>;
    value: any;
    tabindex: number;
    itemDisabled: (itemArgs: {
        dataItem: any;
        index: number;
    }) => boolean;
    svgIcon: SVGIcon;
    icon: string;
    private subs;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * @hidden
     */
    messageFor(key: string): string;
    /**
     * @hidden
     */
    onValueChange(ev: string): void;
    /**
     * @hidden
     */
    get outerWidth(): number;
    /**
     * @hidden
     */
    openDialog(): void;
    /**
     * @hidden
     */
    focus(e: any): void;
    /**
     * @hidden
     */
    canFocus(): boolean;
    /**
     * @hidden
     */
    handleKey(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetDropDownToolBase, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpreadsheetDropDownToolBase, "ng-component", never, {}, { "valueChange": "valueChange"; }, never, never, false, never>;
}
