/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ToolBarDropDownButtonComponent } from '@progress/kendo-angular-toolbar';
import { SpreadsheetLocalizationService } from '../../localization/spreadsheet-localization.service';
import { SpreadsheetService } from '../../common/spreadsheet.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SpreadsheetMergeDirective {
    private host;
    private spreadsheetService;
    private commandName;
    private subs;
    private selectedRange;
    constructor(host: ToolBarDropDownButtonComponent, localization: SpreadsheetLocalizationService, spreadsheetService: SpreadsheetService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onItemClick(item: any): void;
    private hasMergedCells;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpreadsheetMergeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpreadsheetMergeDirective, "[kendoSpreadsheetMerge]", never, {}, {}, never, never, true, never>;
}
